<div class="companyInfo">
    <form (ngSubmit)="onSubmit()" class=form>
    
        <!-- Company Settings--->
        <div class="row"  [ngClass]="{'disabled':saved}">
            <div class="col-md-4">
    
                <div class="form-group">
                    <label for="" class="mb-0">Name</label>
                    <input type="" name="name" [(ngModel)]="name" class="form-control b-4">
                </div>
                <div class="form-group">
                    <label for="" class="mb-0">Type of Organization</label>
                    <select name="org_type" placeholder="Choose your option" [(ngModel)]="org_type" id="" class="form-control b-4" >
                        <option *ngFor="let option of organisationOptions" [value]="option.value">{{ option.label }}</option>
                    </select>
                </div>
                <div class="row">
                    <div class="col-6">
                        <div class="form-group">
                            <label for="" class="mb-0">Phone</label>
                            <input type="text" name="phone" [(ngModel)]="phone" class="form-control b-4">
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-group">
                            <label for="" class="mb-0">Mobile</label>
                            <input type="text" name="mobile" [(ngModel)]="mobile" class="form-control b-4">
                        </div>
                    </div>
                </div>
            </div>
            <!--/col-->
            <div class="col-md-3">
                <div class="form-group">
                    <label for="" class="mb-0">Trade Name</label>
                    <input type="text" name="trade_name" [(ngModel)]="trade_name" class="form-control b-4">
                </div>
                <div class="form-group">
                    <label for="" class="mb-0">Nature of Business/Service Activity</label>
                    <select name="business_type" [(ngModel)]="business_type"   id="" class="form-control b-4">
                        <option *ngFor="let option of businessOptions" [value]="option.value">{{ option.label }}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="" class="mb-0">Email</label>
                    <input type="email" name=email [(ngModel)]="email" class="form-control b-4">
                </div>
            </div>
            <!--/col-->
            <div class="col-md-3">
                <div class="form-group">
                    <label for="" class="mb-0">PAN</label>
                    <a data-toggle="modal" data-target="#PANDetails"><input type="text" value="{{ pan }}"
                            class="form-control b-4"></a>
                </div>
                <ng-container *ngIf="org_type == 'Company'">
                    <div class="form-group" id="CIN">
                        <label for="" class="mb-0">Company Identification Number(CIN)</label>
                        <a data-target="#CINDetails" data-toggle="modal"><input type="text" class="form-control b-4"></a>
                    </div>
                </ng-container>
                <ng-container *ngIf="org_type == 'LLP'">
                    <div class="form-group" id="LLPIN">
                        <label for="" class="mb-0">LLP Identification Number(LLPIN)</label>
                        <a data-target="#LLPINDetails" data-toggle="modal"><input type="text" class="form-control b-4"></a>
                    </div>
                </ng-container>
                <ng-container *ngIf="org_type != 'LLP' && org_type != 'Company'">
                    <div class="form-group" id="CRN">
                        <label for="" class="mb-0">Company Registration Number(CRN)</label>
                        <a data-target="#CRNDetails" data-toggle="modal"><input type="text" class="form-control b-4"></a>
                    </div>
                </ng-container>
                <div class="form-group">
                    <label for="" class="mb-0">Website</label>
                    <input type="url" name="website" [(ngModel)]="website" class="form-control b-4">
                </div>
            </div>
            <!---/col--->
            <div class="col-md-2">
                <label for="" class="mb-0">Company's Logo</label>
                <div class="b-4 logo border"><img [src]="imgURL" height="120" width="120" *ngIf="imgURL"></div>
                <div class="form-group mt-3">
                    <input type="file" name="company_logo" [(ngModel)]="company_logo" #file accept='image/*' (change)="preview(file.files)" class="form-control-sm">
                </div>
            </div>
            <!---/col--->
        </div>
        <!--/row--->
        <div class="row">
            <div class="col-md-12">
    
                <b>Date of Company Incorporation:</b> &nbsp; <input type="date" name="date_of_incorporation"
                    [(ngModel)]="date_of_incorporation" class="form-control-sm b-4-sm">
    
            </div>
        </div>
        <div class="form-group">
            <label for="" class="mb-0">Books &amp; Financial Year Details</label>
            <div class="row">
                <div class="col-md-4">
    
                    <b>Financial Year Starting From:</b> &nbsp; <input type="date" name="financial_year_start"
                        [(ngModel)]="financial_year_start" class="form-control-sm b-4-sm ">
    
                </div>
                <div class="col-md-4">
    
                    <b> Books Commencing From:</b> &nbsp; <input type="date" name="book_commencing"
                        [(ngModel)]="book_commencing" class="form-control-sm b-4-sm "><br>
    
                </div>
                <div class="col-md-4">
    
                    <b>Date of Commencement of Business:</b> &nbsp; <input type="date" name="commencement_date"
                        [(ngModel)]="commencement_date" class="form-control-sm b-4-sm">
    
                </div>
            </div>
    
    
        </div>
    
        <div class="text-right mb-2">
    
            <button type="button" (click)="ngOnInit()" class="btn btn-danger ml-2" *ngIf="!saved">Cancel</button>
            <button type="submit" class="btn btn-primary ml-2" *ngIf="!saved">Save</button>
            <button type="button" class="btn btn-warning" *ngIf="saved" (click)="editCompanyInfo()">Edit</button>
        </div>
    
    
    
        <!------modal area-------->
    
        <!----modal for pan---------->
        <div class="modal fade" id="PANDetails" tabindex="-1" role="dialog" aria-labelledby="branchDetailsTitle"
            style="display: none;" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="branchDetailsTitle">PAN Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body p-4">
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Permanent Account Number</label>
                            <input type="text" name="pan" [(ngModel)]="pan" class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                            <input type="text" name="pan_effective_date" [(ngModel)]="pan_effective_date"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Department Address</label>
                            <input type="text" name="pan_dep_address" [(ngModel)]="pan_dep_address"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Range/Ward/Other</label>
                            <input type="text" name="range_ward" [(ngModel)]="range_ward" class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Telephone Number</label>
                            <input type="text" name="pan_ph_no" [(ngModel)]="pan_ph_no" class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Attachment</label>
                            <input type="file" name="pan_attachment" [(ngModel)]="pan_attachment"
                                class="col-md-4 form-control b-4">
                        </div>
                        <hr>
                        <div class="text-right mb-2">
                            <button type="button" class="btn btn-warning" data-dismiss="modal"
                                aria-label="Close">Cancel</button>
                            <button type="button" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!---pan modal end----->
        <!-------cin modal------------>
    
        <div class="modal fade" id="CINDetails" tabindex="-1" role="dialog" aria-labelledby="branchDetailsTitle"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="branchDetailsTitle">CIN Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body p-4">
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Company Indentification Number</label>
                            <input type="text" name="company_cin_no" [(ngModel)]="company_cin_no"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                            <input type="text" name="cin_eff_date" [(ngModel)]="cin_eff_date"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Department Address</label>
                            <input type="text" name="cin_address" [(ngModel)]="cin_address"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Range/Ward/Other</label>
                            <input type="text" name="cin_range_ward" [(ngModel)]="cin_range_ward"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Telephone Number</label>
                            <input type="text" name="cin_ph_no" [(ngModel)]="cin_ph_no" class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Attachment</label>
                            <input type="file" name="cin_attachment" [(ngModel)]="cin_attachment"
                                class="col-md-4 form-control b-4">
                        </div>
                        <hr>
                        <div class="text-right mb-2">
                            <button type="button" class="btn btn-warning" data-dismiss="modal"
                                aria-label="Close">Cancel</button>
                            <button type="button" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
        <!--------end cin modal-------->
    
    
        <!---------modal for crn------->
        <div class="modal fade" id="CRNDetails" tabindex="-1" role="dialog" aria-labelledby="branchDetailsTitle"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="branchDetailsTitle">CRN Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body p-4">
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Company Registration Number</label>
                            <input type="text" name="company_crn_no" [(ngModel)]="company_crn_no"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                            <input type="text" name="crn_eff_date" [(ngModel)]="crn_eff_date"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Department Address</label>
                            <input type="text" name="crn_address" [(ngModel)]="crn_address"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Range/Ward/Other</label>
                            <input type="text" name="crn_range_ward" [(ngModel)]="crn_range_ward"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Telephone Number</label>
                            <input type="text" name="crn_ph_no" [(ngModel)]="crn_ph_no" class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Attachment</label>
                            <input type="file" name="crn_attachment" [(ngModel)]="crn_attachment"
                                class="col-md-4 form-control b-4">
                        </div>
                        <hr>
                        <div class="text-right mb-2">
                            <button type="button" class="btn btn-warning" data-dismiss="modal"
                                aria-label="Close">Cancel</button>
                            <button type="button" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--------end crn modal -------->
        <!------modal for llpin--------->
        <div class="modal fade" id="#LLPINDetails" tabindex="-1" role="dialog" aria-labelledby="branchDetailsTitle"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="branchDetailsTitle">LLPIN Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body p-4">
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">LLP Indentification Number</label>
                            <input type="text" name="company_llpin_no" [(ngModel)]="company_llpin_no"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                            <input type="text" name="llpin_eff_date" [(ngModel)]="llpin_eff_date"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Department Address</label>
                            <input type="text" name="llpin_address" [(ngModel)]="llpin_address"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Range/Ward/Other</label>
                            <input type="text" name="llpin_range_ward" [(ngModel)]="llpin_range_ward"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Telephone Number</label>
                            <input type="text" name="llpin_ph_no" [(ngModel)]="llpin_ph_no"
                                class="col-md-4 form-control b-4">
                        </div>
                        <div class="form-group row mb-2">
                            <label for="" class="col-md-6 mt-2">Attachment</label>
                            <input type="file" name="llpin_attachment" [(ngModel)]="llpin_attachment"
                                class="col-md-4 form-control b-4">
                        </div>
                        <hr>
                        <div class="text-right mb-2">
                            <button type="button" class="btn btn-warning" data-dismiss="modal"
                                aria-label="Close">Cancel</button>
                            <button type="button" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!----- end for model llpin------>
    </form>
    </div>